# QSpinBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractSpinBox.

### Constructor

- void QSpinBox(QWidget parent)

### Constructor Properties

- prototype: The QSpinBox prototype object

### Prototype Object Properties

The QSpinBox prototype object inherits properties from the QAbstractSpinBox prototype object and also has the following properties.

- void setRange(int min, int max)

### Instance Properties

QSpinBox objects inherit properties from the QSpinBox prototype object and also have the following properties.

- suffix
- prefix
- cleanText
- minimum
- maximum
- singleStep
- value